Skip to content

Contract Signing

All operations require authentication.

2 operationsv1/license/officePrepaid
Agent setup

Create an MCA attestationAlpha

POST
/1.0/license/officePrepaid/{serviceName}/parentTenant/createAttestation

Creates a Microsoft Customer Agreement attestation for the parent tenant from the signatory company, names, email address, phone number, country and language. Returns the attestation ID and a link to the attestation that can be embedded in an iframe.

Path parameters

serviceName
required
string

Service name

Request body (required)

companyName
string

Signatory company name

country
CountryUppercaseEnum

Signatory Country

ValuesACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCSCUCVCWCXCYCZDEDJDKDMDODZECEEEGEHERESETFCFDFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQAQCRERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWEWFWSYEYTYUZAZMZW
emailAddress
string

Signatory email email address

language
LanguageEnum

Signatory language

Valuescs_CZde_DEen_AUen_CAen_GBen_IEen_USes_ESfi_FIfr_CAfr_FRfr_MAfr_SNfr_TNit_ITlt_LTnl_NLpl_PLpt_PT
phoneNumber
string

Signatory phone number

signatoryFirstName
string

Signatory first name

signatoryLastName
string

Signatory last name

Response

200createAttestationResponsesuccessful operation
attestationId
read-only
string

Attestation id.

attestationLink
read-only
string

Link to iframable attestation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/parentTenant/createAttestation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "attestationId": "string", "attestationLink": "string"}

Accept the Microsoft Customer AgreementAlpha

POST
/1.0/license/officePrepaid/{serviceName}/parentTenant/acceptAgreement

Accepts the Microsoft Customer Agreement (MCA) for the parent tenant.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/parentTenant/acceptAgreement \
  -H "authorization: Bearer $OVH_TOKEN"